1

I'm trying to use Civimobile but can't sign-on. I get "unknown error". I'm using WordPress 5.2.2, PHP 7.2 and CiviCRM 5.15.1. I installed Civi CRM Api Fix. plugin 1.0.0, and CiviMobileAPI extension 4.0.

I followed the advice in this post Does CiviMobileAPI generate any logs? and install the CiviCRM WP REST API plug-in. I also renamed the extension directory name so it is just "com.agiliway.civimobileapi".

What else should I do?

  • Can you check civicrm logs to find out more detail about unknown error? – Pradeep Nayak Jul 27 '19 at 22:12
  • Do you have still a problem? Would be happy to help you. Please feel free to write me andriy.stabryn@agiliway.com – Andrew Stabryn Aug 22 '19 at 10:00
0

Do you have this one? https://github.com/mecachisenros/civicrm-wp-rest Or the old one? This is the updated one and you need this one to work. (also check the ext directory for civimobileapi make sure that it doesn't include master or anything else)

| improve this answer | |
  • I have the new civicrm-wp-rest which I downloaded and installed the same day I post this. I did check the ext directory for civimobileapi and deleted the version number from the folder name. I had previously run afoul the other CiviMobile extension in the extension library. I uninstalled and deleted it and manually installed the agiliway extension. I trying this on our test site and I also disabled the WordFence firewall plugin. – George Lozier Jul 29 '19 at 14:49
  • I have wordfence and it's not causing any issues as far as I know. – netzih Jul 29 '19 at 21:49
0

If you are using WP you have to install and enable:

All other plugins are not required. Also if you are using some “security” plugins for WP it may be a problem. Feel free to ask me any questions!

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.